github realm/realm-cocoa v10.1.3

Enhancements

  • Add Xcode 12.2 binaries to the release package.

Fixed

  • Disallow setting RLMRealmConfiguration.deleteRealmIfMigrationNeeded/Realm.Config.deleteRealmIfMigrationNeeded when sync is enabled. This did not actually work as it does not delete the relevant server state and broke in confusing ways (PR #6931).

Compatibility

  • Realm Studio: 10.0.0 or later.
  • APIs are backwards compatible with all previous releases in the 10.x.y series.
  • Carthage release for Swift is built with Xcode 12.1.
  • CocoaPods: 1.10 or later.
latest releases: v10.11.0, v10.10.0, v10.9.0...
8 months ago